## org.apache.solr.client.solrj
Class ResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser

Direct Known Subclasses:
  BinaryResponseParser, XMLResponseParser

    public abstract class ResponseParser

extends Object

Since:
  solr 1.3

Constructor Summary
`ResponseParser()`

Method Summary
`String` `getVersion()`
`abstract String` `getWriterType()`
`abstract NamedList<Object>` `processResponse(InputStream body, String encoding)`
`abstract NamedList<Object>` `processResponse(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseParser

    public ResponseParser()

Method Detail

### getWriterType

    public abstract String getWriterType()

### processResponse

    public abstract NamedList<Object> processResponse(InputStream body,
                                                      String encoding)

### processResponse

    public abstract NamedList<Object> processResponse(Reader reader)

### getVersion

    public String getVersion()

  Returns:
    the version param passed to solr